<nb-card>
  <nb-card-header>
    <h4>Tienda<span *ngIf="element?.id"> &gt; {{ element.name }}</span></h4>
  </nb-card-header>
  <nb-card-body>
    <form *ngIf="loaded" #form="ngForm" class="form-horizontal" (submit)="submit()">
      <div *ngIf="errors && errors.length > 0"
           class="alert alert-danger" role="alert">
        <div><strong>Error</strong></div>
        <div *ngFor="let error of errors">{{ error }}</div>
      </div>
      <!-- is_active -->
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-10">
          <div class="checkbox">
            <nb-checkbox [(ngModel)]="element.is_active" name="is_active">&iquest;Activa?</nb-checkbox>
          </div>
        </div>
      </div>
      <!-- name -->
      <div class="form-group row">
        <label for="name" class="col-sm-2 col-form-label">Nombre de la Sucursal*</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="name" name="name" [(ngModel)]="element.name" placeholder="Nombre" required>
          <small class="form-text">
            &iquest;Cu&aacute;l es el nombre de tu sucursal? Los usuarios podr&aacute;n ver este nombre en la aplicaci&oacute;n.
            Ej. Antara, Santa Fe, Prado Norte, etc.
          </small>
        </div>
      </div>
      <!-- location -->
      <div class="form-group row">
        <label for="location" class="col-sm-2 col-form-label">Direcci&oacute;n*</label>
        <div class="col-sm-10">
          <input type="text"
            class="form-control"
            id="location"
            name="location"
            [(ngModel)]="element.location"
            placeholder="Direcci&oacute;n" required>
          <small class="form-text">&iquest;En d&oacute;nde está ubicada la sucursal?</small>
        </div>
      </div>
      <!-- state -->
      <div class="form-group row">
        <label for="state" class="col-sm-2 col-form-label">Estado*</label>
        <div class="col-sm-10">
          <select class="form-control" id="state" name="state" [(ngModel)]="element.state" required>
            <option></option>
            <option>Aguascalientes</option>
            <option>Baja California</option>
            <option>Baja California Sur</option>
            <option>Campeche</option>
            <option>Coahuila de Zaragoza</option>
            <option>Colima</option>
            <option>Chiapas</option>
            <option>Chihuahua</option>
            <option>CDMX</option>
            <option>Durango</option>
            <option>Guanajuato</option>
            <option>Guerrero</option>
            <option>Hidalgo</option>
            <option>Jalisco</option>
            <option>Estado de M&eacute;xico</option>
            <option>Michoacán de Ocampo</option>
            <option>Morelos</option>
            <option>Nayarit</option>
            <option>Nuevo León</option>
            <option>Oaxaca</option>
            <option>Puebla</option>
            <option>Querétaro</option>
            <option>Quintana Roo</option>
            <option>San Luis Potosí</option>
            <option>Sinaloa</option>
            <option>Sonora</option>
            <option>Tabasco</option>
            <option>Tamaulipas</option>
            <option>Tlaxcala</option>
            <option>Veracruz</option>
            <option>Yucatán</option>
            <option>Zacatecas</option>
          </select>
          <small class="form-text">Estado donde se encuentra la sucursal.</small>
        </div>
      </div>
      <!-- city -->
      <div class="form-group row">
        <label for="city" class="col-sm-2 col-form-label">Ciudad</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="city" name="city" [(ngModel)]="element.city" placeholder="Ciudad">
          <small class="form-text">Ciudad donde se encuentra la sucursal.</small>
        </div>
      </div>
      <!-- postal_code -->
      <div class="form-group row">
        <label for="postal-code" class="col-sm-2 col-form-label">C&oacute;digo Postal</label>
        <div class="col-sm-10">
          <input type="text"
            class="form-control"
            id="postal-code"
            name="postal_code"
            [(ngModel)]="element.postal_code"
            placeholder="C&oacute;digo Postal">
          <small class="form-text">C&oacute;digo postal de la sucursal.</small>
        </div>
      </div>
      <!-- phone -->
      <div class="form-group row">
        <label for="phone" class="col-sm-2 col-form-label">Tel&eacute;fono</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="phone" name="phone" [(ngModel)]="element.phone" placeholder="Tel&eacute;fono">
          <small class="form-text">N&uacute;mero de tel&eacute;fono de la sucursal.</small>
        </div>
      </div>
      <!-- actions -->
      <div class="form-group row">
        <div class="offset-sm-2 col-sm-9">
          <button type="submit" class="btn btn-success" [disabled]="!form.valid">Enviar</button>
        </div>
      </div>
    </form>
  </nb-card-body>
</nb-card>
